-- Fill page with random color based on the current 4 colors, The alpha channel as well

for y = 0, height - 1 do
  for x = 0, width - 1 do
    local r, g, b
    local rand = math.random(1, 4)
    if rand == 1 then
	r, g, b = get_color1()
    elseif rand == 2 then
       r, g, b = get_color2()
    elseif rand == 3 then
       r, g, b = get_color3()
    else
       r, g, b = get_color4()
    end
    set_rgba(x, y, r, g, b, 1)    
  end
end
